This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458636 - Tell the component in the sender address
Tell the component in the sender address
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
devel
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: Jeff Fearn
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 04:44 EDT by Bastien Nocera
Modified: 2012-06-21 02:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 02:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-08-11 04:44:09 EDT
As GNOME's bugzilla does, the e-mail notifications should mention the component the bug is assigned to in the sender address eg.:

From: 	ekiga (bugzilla.gnome.org) <bugzilla-daemon@bugzilla.gnome.org>

Instead of:

From: 	bugzilla@redhat.com

This makes filtering much easier for me...
Comment 1 David Lawrence 2008-08-25 23:06:34 EDT
We already send the component name in Bugzilla change notification emails. Here is the complete header list that is sent:

From: [% Param('mailfrom') %]
To: [% to %]
Subject: [[% terms.Bug %] [%+ bugid %]] [% 'New: ' IF isnew %][%+ summary %]
X-Loop: bugzilla@redhat.com
X-BeenThere: bugzilla@redhat.com
X-Bugzilla-Reason: [% reasonsheader %]
X-Bugzilla-Type: newchanged
X-Bugzilla-Watch-Reason: [% reasonswatchheader %]
X-Bugzilla-Classification: [% classification %]
X-Bugzilla-Product: [% product %]
X-Bugzilla-Version: [% version %]
X-Bugzilla-Component: [% comp %]
X-Bugzilla-Keywords: [% keywords %]
X-Bugzilla-Severity: [% severity %]
X-Bugzilla-Comment: [% comment %]
X-Bugzilla-Who: [% changer %]
X-Bugzilla-Status: [% status %]
X-Bugzilla-Priority: [% priority %]
X-Bugzilla-Assigned-To: [% assignedto %]
X-Bugzilla-Target-Milestone: [% targetmilestone %]
X-Bugzilla-Changed-Fields: [% changedfields %]

Could you just filter on X-Bugzilla-Component?

Dave
Comment 2 Bastien Nocera 2008-08-26 04:37:01 EDT
(In reply to comment #1)
> We already send the component name in Bugzilla change notification emails. Here
> is the complete header list that is sent:
<snip>
> Could you just filter on X-Bugzilla-Component?

I don't use it to stuff the mails in different IMAP folders, but to filter the view in Evolution. The default filter in Evolution is "Subject or Sender contains". Right now, the only thing it actually searches by is subject as all the senders in my RH bugzilla folder are the same.
Comment 3 David Lawrence 2008-08-26 11:56:01 EDT
Ah I see what you are saying now. So since this is obviously a gnome.org Bugzilla customization I have changed this to a RFE. This is not part of the standard Bugzilla code base. We are going to start filtering through the RFE's very soon now and start addressing people's requests. We will investigate adding this in at that time.

Thanks
Dave
Comment 4 Jeff Fearn 2012-05-30 00:42:32 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 5 Jeff Fearn 2012-06-21 02:54:37 EDT
Closing inactive bugs are part of Bugzilla cleanup.

Note You need to log in before you can comment on or make changes to this bug.